package com.ylx.massage.service.impl;

import com.ylx.massage.service.OrderNotificationService;
import com.ylx.order.domain.TOrder;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 订单消息通知服务实现类
 * <p>
 * 负责处理订单生命周期中各阶段的消息通知功能。
 * 所有通知通过微信公众号模板消息推送给用户。
 * </p>
 *
 * @author ylx
 * @version 1.0
 * @since 2024
 */
@Service
@Slf4j
public class OrderNotificationServiceImpl implements OrderNotificationService {


    @Override
    public void sendReceivedNotification(TOrder order) {

    }

    @Override
    public void sendCompletedNotification(TOrder order) {

    }

    @Override
    public void sendCancelledNotification(TOrder order) {

    }

    @Override
    public void sendPendingRemindNotification(TOrder order) {

    }

    @Override
    public void sendTechnicianReceivedNotification(TOrder order) {

    }

    @Override
    public void sendTechnicianCancelledNotification(TOrder order) {

    }
}
